org.apache.jmeter.report.core

## Interface SampleSelector<TSelection>

- Type Parameters:
    `TSelection` - the type of the projection
  All Known Subinterfaces:
    GraphKeysSelector, GraphSeriesSelector
  All Known Implementing Classes:
    AbstractSeriesSelector, CodeSeriesSelector, IndexedNameSelector, NameSeriesSelector, StaticSeriesSelector, StatusSeriesSelector, TimeStampKeysSelector

      public interface SampleSelector<TSelection>

  The interface SampleSelector represents a typed projection from a sample.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TSelection` | `select(Sample sample)` Do the projection from the specified sample

- - ### Method Detail

    - #### select

          TSelection select(Sample sample)

      Do the projection from the specified sample
      Parameters:
        `sample` - the sample
      Returns:
        the projection result

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.